body {
  margin-top: 0;
  .hidden {
    display: none;
  }
  .error {
    color: red;
  }
  button {
    height: 30px;
    font-weight: bold;
  }
}
.navigation {
  position: sticky;
  top: 0;
  background: white;
  min-height: 40px;
  border-bottom: 2px solid black;
  a {
    display: inline-block;
    padding: 10px 40px;
  }
}
.app-wrapper {
  display: flex;
  .news-feed {
    width: 100%;
    margin-right: 10px;
    .post-item {
      margin: 15px 0;
      .item-image img {
        height: 200px;
      }
      .item-date, .item-author {
        display: inline-block;
        width: 49%;
      }
      .item-date {
        text-align: right;
      }
      .item-actions {
        .likes {
          background: lightblue;
          padding-right: 15px;
          width: 120px;
        }
        a.comments {
          padding: 0 15px;
          color: grey;
          text-decoration: none;
        }
        .addComment {
          padding-left: 15px;
          background: #FFF494;
        }
      }
    }
  }
  .news-form {
    width: 100%;
  }
  ul.comments-wrapper {
    padding-left: 0;
    list-style: none;
    li {
      padding-left: 10px;
      margin: 10px 0;
      border-left: 2px solid grey;
    }
  }
}
form {
  .form-element {
    margin: 10px 0;
    label {
      display: flex;
      span {
        min-width: 80px;
      }
    }
    .required:after {
      content: ' *';
      color: red;
    }
    textarea, input {
      background: #E4E4E4;
      width: calc(100% - 80px);
    }
    input {
      height: 22px;
    }
  }
  .image-file {
    label, span {
      display: block;
    }
    input {
      display: none;
    }
    .image-preview {
      height: 200px;
      text-align: center;
      img {
        height: 100%;
      }
      span {
        height: 100%;
        background: url("../images/cross.svg") no-repeat;
        background-color: #E4E4E4;
      }
    }
  }
  .image-url {
    label {
      display: inline;
    }
    span {
      display: inline-block;
    }
    input {
      width: calc(100% - 212px);
    }
    .upload-image {
      width: 100px;
      height: 30px;
    }
  }
  .actions button {
    width: 100%;
    background: #FFF494;
  }
}
.comment-form {
  .form-element {
    textarea, input {
      width: 100%;
    }
  }
}
